Subject: bug#12841: Make for AIX 8.20 fails with undefined symbol .rpl_malloc

From: Jim Meyering <[email-masked]>
Date: Tue, 13 Nov 2012 06:40:54 +0100

Paul Eggert wrote:
> On 11/12/2012 08:12 PM, Jim Meyering wrote:
>> Thanks for addressing those problems.
>> Did you intend to commit the generated primes.h?
>
> I did, but I see now that I was mistaken.  Thanks for
> catching that.
>
> I pushed the following further change, to fix it.  A downside
> is that whoever generates primes.h for distribution should,
> as a nicety, do so on a host that supports 128-bit int,
> e.g., GCC 4.6 or later on x86-64 (but not x86).  If you forget
> it's no big deal, as 64 bits is enough for now.
>
> This patch should also fix the lines-too-long problem at
> least until we have hosts with 1024-bit integers, at which
> point we'll have to reformat primes.h again.
>
> This email omits the part of the patch that deletes
> primes.h, as that part's pretty boring.
>
>>>From e4a0c995070c92d678fdf766da4a0460990aebe4 Mon Sep 17 00:00:00 2001
> From: Paul Eggert <[email-masked]>
> Date: Mon, 12 Nov 2012 21:10:17 -0800
> Subject: [PATCH] factor: improve primes.h change
>
> This follows suggestions by Jim Meyering in
> <http://bugs.gnu.org/12841#34>.
> * src/make-prime-list.c (print_wide_uint): Change "nested" argument
> to "nesting", and use it to avoid outputting lines that are too long.
> * src/primes.h: Remove from git.  This can be generated by a
> maintainer.  It's nicer to do so on a host with at least 128-bit
> arithmetic.

Thanks for the quick fix!
For the record, the 80-byte line-length maximum applies
only to VC'd files.